Bug 467465 - Excessive debug output when started via command line
Excessive debug output when started via command line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 11:41 EDT by Jeff Sheltren
Modified: 2008-12-30 16:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 16:00:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Sheltren 2008-10-17 11:41:15 EDT
Description of problem:
When started via the command line, Deluge outputs a ton of debug messages, including stuff every time the Deluge window is moved, etc.  For example:
[DEBUG   ] 08:32:40 config:124 Setting 'window_x_pos' to 458 of <type 'int'>
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:124 Setting 'window_y_pos' to 75 of <type 'int'>
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:124 Setting 'window_x_pos' to 461 of <type 'int'>
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:124 Setting 'window_y_pos' to 77 of <type 'int'>
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:139 save_timer: 126416
[DEBUG   ] 08:32:40 config:139 save_timer: 126416

Version-Release number of selected component (if applicable):
deluge-1.0.2-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open terminal
2. Type 'deluge'
  
Actual results:
Lots of debug output

Expected results:
No debug output
Comment 1 Peter Gordon 2008-11-21 01:28:23 EST
Yeah, this should definitely be an off-by-default thing, maybe via a "--debug" option or similar. I'll poke upstream about it and see what we can do. :)
Comment 2 Bug Zapper 2008-11-25 22:57:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peter Gordon 2008-12-30 16:00:20 EST
This is fixed in in 1.1.0_RC2 (1.1.0-0.1.rc2 in Rawhide, will be synced downward to F10 updates-testing soon).

Deluge is now quiet by default (printing only a brief version string and errors if they occur); but debugging output can be enabled at various detail levels with the "--loglevel" option (one of "none," "info," "warning," "error," "critical," or "debug"). I've tested it with the "none," "debug," and "info" levels and it does seem to function as well as advertised. 

Please feel free to re-open this with further details if the issue persists.Thanks for the bug report!

Note You need to log in before you can comment on or make changes to this bug.